Part Prisma
Jump to navigation
Jump to search
Part
User documentation
Outdated translations are marked like this.
|
Ubicación en el Menú |
---|
Pieza → Crear primitivas → Prisma |
Entornos de trabajo |
Part |
Atajo de teclado por defecto |
Ninguno |
Introducido en versión |
0.14 |
Ver también |
Part Primitivas, Part Cubo |
Descripción
Un Prisma de Part es un sólido definido por el corte transversal de un polígono regular y una altura.
Uso
See Part Primitives.
Example
A Part Prism object created with the scripting example below is shown here.
Propiedades
See also: Property editor.
A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Prism
- DATOSPolígono: El número de aristas que forman las caras del polígono base y superior del prisma.
- DATOSCircunradio : Radio de la circunferencia en la que está inscrito el corte transversal del polígono que forma el prisma.
- DATOSAltura: Altura del Prisma.
- DATOSPrimer Ángulo: Ángulo de la primera dirección. introducido en la versión 0.19
- DATOSSegundo Ángulo: Ángulo de la segunda dirección. introducido en la versión 0.19
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Prism can be created with the addObject()
method of the document:
prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
- Where
"myPrism"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Extrude, Revolve, Mirror, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Attachment
- Boolean: Make compound, Explode Compound, Compound Filter, Boolean, Cut, Fuse, Common, Connect, Embed, Cutout, Boolean fragments, Slice apart, Slice, XOR
- Measure: Measure Linear, Measure Angular, Measure Refresh, Clear All, Toggle All, Toggle 3D, Toggle Delta

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Image, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Raytracing, Reverse Engineering, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Deprecated or unmaintained workbenches: Complete, Drawing, Robot
- Hubs: User hub, Power users hub, Developer hub